html,
body {
  height: 100vh;
  height: 100dvh;
}

nav {
  position: -webkit-sticky;
  /* Safari */
  position: sticky;
  top: 0;
  margin: 0 auto;
  height: 50px;
  align-items: center;
  justify-content: center;
}

iframe {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
}

video {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
}

audio {
  width: 100vw;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
}

.devv {
  position: fixed;
  height: 80vh;
  overflow-y: auto;
  left: 75%;
  top: 0;
  width: 30%;
}

.tag {
  background-color: rgb(97, 97, 97);
  color: white;
  padding-right: 5px;
  padding-left: 5px;
  padding-top: 1px;
  padding-bottom: 0px;
  text-align: center;
  border-radius: 4px;
  font-size: 0.8em;
  margin-right: 5px;
  display: inline-block;
}


.type-emoji {
  background-color: rgb(97, 97, 97);
  color: white;
  padding-right: 5px;
  padding-left: 5px;
  padding-top: 1px;
  padding-bottom: 0px;
  text-align: center;
  border-radius: 4px;
  font-size: 0.8em;
  margin-right: 5px;
  display: inline-block;
}

.clickable {
  cursor: pointer;
}

.tagselect {
  padding: 2px 4px;
  border-radius: 5px;
  font-size: 0.7em;
}

ul {
  list-style: none;
  padding-left: 0px;
}

.gap {
  height: 15px;
}

hr {
  margin: .4em 0;
}

.tagsrow {
  position: relative;
  display: inline-block;
}

.delete {
  position: relative;
  display: inline-block;
  text-align: center;
  margin-left: 5px;
  font-size: 0.8em;
}

.delete[data-title]:hover::after {
  content: attr(data-title);
  position: absolute;
  top: -100%;
  left: 0;
  z-index: 100;
  background-color: rgb(2, 2, 2);
  width: 200px;
}

.fav {
  background-color: rgb(97, 97, 97);
  color: white;
  padding-right: 5px;
  padding-left: 5px;
  padding-top: 1px;
  padding-bottom: 0px;
  text-align: center;
  border-radius: 4px;
  font-size: 0.8em;
  margin-right: 5px;
  display: inline-block;
}

.nofav {
  background-color: rgb(97, 97, 97);
  color: white;
  padding-right: 5px;
  padding-left: 5px;
  padding-top: 1px;
  padding-bottom: 0px;
  text-align: center;
  border-radius: 4px;
  font-size: 0.8em;
  margin-right: 5px;
  display: inline-block;
  color: transparent;
  text-shadow: 0 0 0 grey;
}


/*

.opaque {
  opacity: 0;
}

.user-info {  
  
  position: absolute;
  z-index: 100;
  background-color: rgb(2, 2, 2);
  width: auto;
}
  

.dialog-out-ani {
  animation: fade-out 10.5s ease-out;
}
*/

dialog {
  animation: fade-out .4s ease-out;
  min-width: 30vw;
  min-height: 90vh;
  height: 90vh;
  width: 50vw;
}

dialog[open] {
  animation: fade-in 0.2s ease-out;
}

dialog[open]::backdrop {
  animation: backdrop-fade-in 0.5s ease-out forwards;
}

/* Animation keyframes */
@keyframes fade-in {
  0% {
    opacity: 0;
    transform: scaleY(0);
    display: none;
  }

  100% {
    opacity: 1;
    transform: scaleY(1);
    display: block;
  }
}

@keyframes fade-out {
  0% {
    opacity: 1;
    transform: scaleY(1);
    display: block;
  }

  25% {
    opacity: .8;
    transform: scaleY(.8);
    display: block;
  }

  50% {
    opacity: .5;
    transform: scaleY(.5);
    display: block;
  }

  75% {
    opacity: .2;
    transform: scaleY(.2);
    display: block;
  }

  100% {
    opacity: 0;
    transform: scaleY(0);
    display: none;
  }
}

@keyframes backdrop-fade-in {
  0% {
    background-color: rgb(0 0 0 / 0%);
  }

  100% {
    background-color: rgb(0 0 0 / 75%);
  }
}